# -*- coding: utf-8 -*-

# app name
app_name = 'guweb'

# secret key
secret_key = 'changeme'

#hCaptcha settings:
hCaptcha_sitekey = 'changeme'
hCaptcha_secret = 'changeme'

# domain (used for api, avatar, etc)
domain = 'example.com'

# mysql credentials
## Configured for docker compose; do not change. ##
mysql = {
    'db': 'gulag',
    'host': 'localhost',
    'unix_socket': '/var/run/mysqld/mysqld.sock',
    'user': 'root'
}

# path to gulag root (must have leading and following slash)
## Configured for docker compose; do not change. ##
path_to_gulag = '/gulag/'

# enable debug (disable when in production to improve performance)
debug = False

# disallowed names (hardcoded banned usernames)
disallowed_names = {
    'cookiezi', 'rrtyui',
    'hvick225', 'qsc20010'
}

# disallowed passwords (hardcoded banned passwords)
disallowed_passwords = {
    'password', 'minilamp'
}

# enable registration
registration = True

# social links (used throughout guweb)
github = 'https://github.com/varkaria/guweb'
discord_server = 'https://discord.com/invite/Y5uPvcNpD9'
youtube = 'https://youtube.com/'
twitter = 'https://twitter.com/'
instagram = 'https://instagram.com/'